## GimpColorProfileComboBox GimpColorProfileComboBox — A combo box for selecting color profiles. |

## Functions

GtkWidget * | gimp_color_profile_combo_box_new ()
GtkWidget * | gimp_color_profile_combo_box_new_with_model ()
void | gimp_color_profile_combo_box_add ()
void | gimp_color_profile_combo_box_set_active ()
gchar * | gimp_color_profile_combo_box_get_active ()

## Properties

GtkDialog * | dialog | Read / Write / Construct Only
GimpColorProfileStore * | model | Read / Write

## Types and Values

| GimpColorProfileComboBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkComboBox
                                ╰── GimpColorProfileComboBox

## Implemented Interfaces

GimpColorProfileComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Description

A combo box for selecting color profiles.

## Functions

### gimp_color_profile_combo_box_new ()

    GtkWidget *
    gimp_color_profile_combo_box_new (GtkWidget *dialog,
                                      const gchar *history);

Create a combo-box widget for selecting color profiles. The combo-box is populated from the file specified as `history` . This filename is typically created using the following code snippet:

    1
    gchar *history = gimp_personal_rc_file ("profilerc");

#### Parameters

dialog | a GtkDialog to present when the user selects the "Select color profile from disk..." item |
history | filename of the profilerc (or `NULL` for no history) |

#### Returns

a new GimpColorProfileComboBox.

Since GIMP 2.4

### gimp_color_profile_combo_box_new_with_model ()

    GtkWidget *
    gimp_color_profile_combo_box_new_with_model
                                   (GtkWidget *dialog,
                                    GtkTreeModel *model);

This constructor is useful when you want to create several combo-boxes for profile selection that all share the same GimpColorProfileStore. This is for example done in the GIMP Preferences dialog.

See also `gimp_color_profile_combo_box_new()`.

#### Parameters

dialog | a GtkDialog to present when the user selects the "Select color profile from disk..." item |
model | a GimpColorProfileStore object |

#### Returns

a new GimpColorProfileComboBox.

Since GIMP 2.4

### gimp_color_profile_combo_box_add ()

    void
    gimp_color_profile_combo_box_add (GimpColorProfileComboBox *combo,
                                      const gchar *filename,
                                      const gchar *label);

This function delegates to the underlying GimpColorProfileStore. Please refer to the documentation of `gimp_color_profile_store_add()` for details.

#### Parameters

combo | a GimpColorProfileComboBox |
filename | filename of the profile to add (or `NULL`) |
label | label to use for the profile (may only be `NULL` if `filename` is `NULL`) |

Since GIMP 2.4

### gimp_color_profile_combo_box_set_active ()

    void
    gimp_color_profile_combo_box_set_active
                                   (GimpColorProfileComboBox *combo,
                                    const gchar *filename,
                                    const gchar *label);

Selects a color profile from the `combo` and makes it the active item. If the profile is not listed in the `combo` , then it is added with the given `label` (or `filename` in case that `label` is `NULL`).

#### Parameters

combo | a GimpColorProfileComboBox |
filename | filename of the profile to select |
label | label to use when adding a new entry (can be `NULL`) |

Since GIMP 2.4

### gimp_color_profile_combo_box_get_active ()

    gchar *
    gimp_color_profile_combo_box_get_active
                                   (GimpColorProfileComboBox *combo);

#### Parameters

combo | a GimpColorProfileComboBox |

#### Returns

The filename of the currently selected color profile. This is a newly allocated string and should be released using `g_free()` when it is not any longer needed.

Since GIMP 2.4

## Types and Values

### GimpColorProfileComboBox

    typedef struct _GimpColorProfileComboBox GimpColorProfileComboBox;

## Property Details

### The `“dialog”` property

      “dialog”                   GtkDialog *

GtkDialog to present when the user selects the "Select color profile from disk..." item.

Flags: Read / Write / Construct Only

Since GIMP 2.4

### The `“model”` property

      “model”                    GimpColorProfileStore *

Overrides the "model" property of the GtkComboBox class. GimpColorProfileComboBox requires the model to be a GimpColorProfileStore.

Flags: Read / Write

Since GIMP 2.4